Skip to main content
GET
/
v1
/
identity
/
sessions
List all sessions
curl --request GET \
  --url https://api.beltic.com/v1/identity/sessions \
  --header 'X-Api-Key: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "type": "session",
      "attributes": {
        "status": "created",
        "creator_type": "system",
        "entity_type": "person",
        "creator_id": "<string>",
        "person": {
          "name": {
            "first": "<string>",
            "middle": "<string>",
            "last": "<string>"
          },
          "birth_date": "<string>"
        },
        "business": {
          "legal_name": "<string>",
          "registration_date": "<string>",
          "shareholders": [
            {
              "name": "<string>",
              "shareholder_type": "<string>",
              "date_of_birth": "<string>",
              "id_type": "<string>",
              "id_number": "<string>",
              "number_of_share": "<string>",
              "percentage_of_share": 123
            }
          ]
        },
        "identity_numbers": {
          "number": "<string>",
          "issuing_country_code": "<string>",
          "class": "<string>",
          "created_at": "<string>",
          "updated_at": "<string>"
        },
        "contact": {
          "email": "jsmith@example.com",
          "phone": "<string>"
        },
        "address": {
          "line1": "<string>",
          "line2": "<string>",
          "sublocality": "<string>",
          "locality": "<string>",
          "administrative_area": "<string>",
          "postal_code": "<string>",
          "country_code": "<string>"
        },
        "behavior_analysis": {
          "completion_time_seconds": 123,
          "autofill_cancels": 123,
          "autofill_starts": 123,
          "bot_score": 123,
          "threat_level": "low",
          "shortcut_copies": 123,
          "shortcut_pastes": 123,
          "distraction_events": 123,
          "devtools_open": true,
          "debugger_attached": true,
          "request_spoof_attempts": 123,
          "user_agent_spoof_attempts": 123,
          "hesitation_baseline": 123,
          "hesitation_count": 123,
          "hesitation_percentage": 123,
          "hesitation_time": 123
        },
        "created_at": "<string>",
        "updated_at": "<string>",
        "started_at": "<string>",
        "expires_at": "<string>",
        "completed_at": "<string>",
        "failed_at": "<string>",
        "marked_for_review_at": "<string>",
        "decisioned_at": "<string>",
        "expired_at": "<string>",
        "redacted_at": "<string>"
      },
      "relationships": {
        "account": {
          "data": {
            "type": "<string>",
            "id": "<string>"
          }
        },
        "business": {
          "data": {
            "type": "<string>",
            "id": "<string>"
          }
        },
        "documents": {
          "data": [
            {
              "type": "<string>",
              "id": "<string>"
            }
          ]
        },
        "session_devices": {
          "data": [
            {
              "type": "<string>",
              "id": "<string>"
            }
          ]
        },
        "verifications": {
          "data": [
            {
              "type": "<string>",
              "id": "<string>"
            }
          ]
        }
      }
    }
  ],
  "meta": {
    "page": {
      "cursors": {
        "start": "<string>",
        "end": "<string>"
      },
      "hasNextPage": true,
      "hasPreviousPage": true,
      "total": 123
    }
  },
  "links": {
    "self": "<string>",
    "first": "<string>",
    "next": "<string>",
    "prev": "<string>",
    "last": "<string>"
  }
}

Authorizations

X-Api-Key
string
header
required

API key for authentication. Access https://console.beltic.com/ to obtain your API key.

Query Parameters

page[size]
string

Number of items per page (default: 15)

Pattern: ^\d+$
Example:

"15"

page[after]
string

Cursor for fetching items after this point

Example:

"eyJ2YWx1ZXMiOnsiY3JlYXRlZF9hdCI6IjIwMjUtMTAtMjJUMjI6MTM6NDguMTQ5WiJ9LCJpZCI6IjNkZjk3MWQwLWNkNTYtNDAwNi05YmM0LTFjYmMzMjc1OWI2ZiJ9"

page[before]
string

Cursor for fetching items before this point

Example:

"eyJ2YWx1ZXMiOnsiY3JlYXRlZF9hdCI6IjIwMjUtMTAtMjJUMjI6MTM6NDguMTQ5WiJ9LCJpZCI6IjNkZjk3MWQwLWNkNTYtNDAwNi05YmM0LTFjYmMzMjc1OWI2ZiJ9"

page[total]
enum<string>

Include total count in response (may impact performance)

Available options:
true,
false
Example:

"true"

status
enum<string>

Filter sessions by status

Available options:
created,
started,
pending,
completed,
failed,
marked_for_review,
approved,
declined,
expired
Example:

"created"

entity_type
enum<string>

Filter sessions by entity type

Available options:
person,
business
Example:

"person"

filter[account]
string<uuid>

Filter sessions by account relationship ID

Example:

"123e4567-e89b-12d3-a456-426614174000"

filter[session_device]
string<uuid>

Filter sessions by session device relationship ID

Example:

"123e4567-e89b-12d3-a456-426614174000"

Response

Successfully retrieved sessions

data
object[]
required
meta
object
required